/*
 * LCDW[̃[U[`LN^̎gp  Version 1.00
 * File:        lcd2c.c
 * Target:      PIC18F14K50 48Mhz
 * RpC:   Microchip MPLAB XC8 C Compiler V1.20
 * :     PICKit 3
 * [X:     2013/10/9 21:00
 *
 * \
 *
 *   1s    CGRAM 
 *   2s    
 *
 *   [U[`LN^gpĂ܂B
 * @1sڂ͉́t\ł͖Ԋ|ƂȂ܂
 *   2sڂ́͏c̒ԂƂƂɕω܂B
*/

#include <stdio.h>
#include <stdlib.h>
#include <p18f14k50.h>
#include <plib\delays.h>
#include "lcd.h"

#pragma config  FOSC = HS,CPUDIV = NOCLKDIV,PLLEN=ON,WDTEN=OFF,LVP=OFF

unsigned char lcd_font1[]={  // 50% nb`
    0b00010100,
    0b00001010,
    0b00010100,
    0b00001010,
    0b00010100,
    0b00001010,
    0b00010100,
    0b00000000 };

unsigned char lcd_font2[]={ // 
    0b00011111,
    0b00010001,
    0b00010001,
    0b00010001,
    0b00010001,
    0b00010001,
    0b00011111,
    0b00000000 };

unsigned char lcd_font3[]={ // 
    0b00000000,
    0b00000100,
    0b00001110,
    0b00011111,
    0b00001110,
    0b00000100,
    0b00000000,
    0b00000000 };

unsigned char lcd_font4[8]; // vOŏ

void main(void) {
    signed char data;

    ANSEL=0;
    ANSELH=0;
    SLRCON=0;
    TRISA=0;
    TRISB=0b11110000;
    TRISC=0;
    PORTC=0;

    lcd_init();
            //0123456789abcdef  0123456789abcdef
    lcd_disp("HelloPIC18F14K50\nXC8 LCD SAMPLE ");

    lcd_disp(rs232c_buf);

        Delay10KTCYx(240);
        Delay10KTCYx(240);
        Delay10KTCYx(240);
        Delay10KTCYx(240);

        lcd_clear();

    lcd_cgram(0x00,lcd_font3);
    lcd_cgram(0x08,lcd_font2);
    lcd_cgram(0x10,lcd_font1);
    lcd_cgram(0x18,lcd_font3);
        
    lcd_ddramxy(0,0);
    lcd_puts("CGRAM \x2\x3");
    lcd_putc(0);

    lcd_ddramxy(0,1);
    lcd_puts("\x1\x1\x1\x1");
    lcd_en(LCD_DISPON | LCD_BLINKON);

      for(;;){
        for(int n=0;n<7;n++){

            for(int y=0;y<8;y++)
                lcd_font4[y]=0;
            for(int y=0;y<n;y++){
                lcd_font4[6-y]=0b00011111;
            }
            lcd_cgram(0x08,lcd_font4);
            
            Delay10KTCYx(240);

        }
      }
}

